<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/sdio_csr.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/sdio_csr.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * CSR specific SDIO registers.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span> 
00009 <span class="preprocessor">#ifndef SDIOEMB_SDIO_CSR_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define SDIOEMB_SDIO_CSR_H</span>
00011 <span class="preprocessor"></span>
<a name="l00031"></a><a class="code" href="group__registers.html#ga0">00031</a> <span class="preprocessor">#define SDIO_CSR_SLEEP_STATE 0xf0</span>
00032 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CSR_SLEEP_STATE_FUNC(f) ((f) &lt;&lt; 4)</span>
00033 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CSR_SLEEP_STATE_RDY_INT_EN  0x02</span>
00034 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CSR_SLEEP_STATE_WAKE_REQ    0x01</span>
00035 <span class="preprocessor"></span>
<a name="l00042"></a><a class="code" href="group__registers.html#ga4">00042</a> <span class="preprocessor">#define SDIO_CSR_HOST_INT 0xf1</span>
00043 <span class="preprocessor"></span><span class="preprocessor">#  define SDIO_CSR_HOST_INT_CL 0x01</span>
00044 <span class="preprocessor"></span>
<a name="l00054"></a><a class="code" href="group__registers.html#ga6">00054</a> <span class="preprocessor">#define SDIO_CSR_FROM_HOST_SCRATCH0 0xf2</span>
00055 <span class="preprocessor"></span>
<a name="l00061"></a><a class="code" href="group__registers.html#ga7">00061</a> <span class="preprocessor">#define SDIO_CSR_FROM_HOST_SCRATCH1 0xf3</span>
00062 <span class="preprocessor"></span>
<a name="l00072"></a><a class="code" href="group__registers.html#ga8">00072</a> <span class="preprocessor">#define SDIO_CSR_TO_HOST_SCRATCH0 0xf4</span>
00073 <span class="preprocessor"></span>
<a name="l00079"></a><a class="code" href="group__registers.html#ga9">00079</a> <span class="preprocessor">#define SDIO_CSR_TO_HOST_SCRATCH1 0xf5</span>
00080 <span class="preprocessor"></span>
<a name="l00091"></a><a class="code" href="group__registers.html#ga10">00091</a> <span class="preprocessor">#define SDIO_CSR_EXT_IO_EN 0xf6</span>
00092 <span class="preprocessor"></span>
<a name="l00115"></a><a class="code" href="group__registers.html#ga11">00115</a> <span class="keyword">enum</span> <a class="code" href="group__registers.html#ga11">sdio_sleep_state</a> {
00116     SLEEP_STATE_AWAKE  = SDIO_CSR_SLEEP_STATE_WAKE_REQ,
00117     SLEEP_STATE_DROWSY = SDIO_CSR_SLEEP_STATE_WAKE_REQ | SDIO_CSR_SLEEP_STATE_RDY_INT_EN,
00118     SLEEP_STATE_TORPID = 0x00,
00119 };
00120 
00123 <span class="comment">/*</span>
00124 <span class="comment"> * Generic function registers (with byte addresses).</span>
00125 <span class="comment"> */</span>
00126 
00127 <span class="comment">/*</span>
00128 <span class="comment"> * SDIO_MODE is chip dependant, see the sdio_mode table in sdio_cspi.c</span>
00129 <span class="comment"> * to add support for new chips.</span>
00130 <span class="comment"> */</span>
00131 <span class="preprocessor">#define SDIO_MODE </span><span class="comment">/* chip dependant */</span>
00132 <span class="preprocessor">#  define SDIO_MODE_CSPI_EN 0x40</span>
00133 <span class="preprocessor"></span>
00134 <span class="preprocessor">#endif </span><span class="comment">/* SDIOEMB_SDIO_CSR_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
